#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libuv
Version		:	v1.44.2
Release		:	14.4.0.0%{?dist}
Summary		:	Asynchronous I/O made simple
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

# the licensing breakdown is described in detail in the LICENSE file
License		:	MIT and BSD and ISC
URL		:	https://github.com/libuv/libuv/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
libuv is a new platform layer for Node. Its purpose is to
abstract IOCP on Windows and libev on Unix systems. We inten
to eventually contain all platform differences in this library.

%prep
%setup -q -n %{name}-%{version}

#---------------------------------------------------------
#building application
%build

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)

sh autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-silent-rule				\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%license LICENSE

%{_includedir}/uv.h
%{_includedir}/uv/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
